# Method: networks.lines.get

Gets the details of a Line.

### HTTP request

`GET https://middlemileoptimization.googleapis.com/v1/{name=networks/*/lines/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the network to retrieve. Format: "networks/{network}/lines/{line}" |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.lines#Line`.